#
# spec file for package gnome-settings-daemon
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           gnome-settings-daemon
Version:        3.1.5
Release:        1
License:        GPLv2+
Summary:        Settings daemon for the GNOME desktop
Url:            http://www.gnome.org
Group:          System/GUI/GNOME
Source:         http://download.gnome.org/sources/gnome-settings-daemon/3.1/%{name}-%{version}.tar.bz2
# PATCH-FEATURE-OPENSUSE gnome-settings-daemon-system-proxy-configuration.diff
Patch2:         gnome-settings-daemon-system-proxy-configuration.diff
# PATCH-NEEDS-REBASE gnome-settings-daemon-apport-monitor.patch bnc439203 jblunck@novell.com -- Add apport monitoring plugin. (was PATCH-FEATURE-UPSTREAM)
Patch8:         gnome-settings-daemon-apport-monitor.patch
# PATCH-FEATURE-UPSTREAM gnome-settings-daemon-bnc462640-mute-action.patch bnc462640 bgo572365 vuntz@novell.com -- Mute button should always mute sound instead of toggling mute status
Patch10:        gnome-settings-daemon-bnc462640-mute-action.patch
# PATCH-NEEDS-REBASE gnome-settings-daemon-bnc461755-randr-rotate-wacom.diff bnc461755 federico@novell.com - Add the option of rotating a Wacom tablet when rotating the monitor with RANDR (was PATCH-FEATURE-OPENSUSE)
Patch11:        gnome-settings-daemon-bnc461755-randr-rotate-wacom.diff
# PATCH-NEEDS-REBASE PATCH-FIX-UPSTREAM gnome-settings-daemon-add-layout-switcher.patch bgo603806 vuntz@opensuse.org -- Add a layout switching combo if needed; the real fix implies some API change in libgnomekbd (see upstream bug)
Patch13:        gnome-settings-daemon-add-layout-switcher.patch
# PATCH-NEEDSREBASE PATCH-FEATURE-OPENSUSE gnome-packagekit-fate302445.patch fate 302445
Patch14:        gnome-packagekit-fate302445.patch
# PATCH-NEEDSREBASE PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch15:        gnome-packagekit-BNC383261.patch
# PATCH-FIX-UPSTREAM bgo#654970 bnc#675969 gnome-settings-daemon-ntp-support.patch vuntz@opensuse.org -- Add SUSE support for datetime polkit helper
Patch16:        gnome-settings-daemon-ntp-support.patch
# PATCH-FIX-OPENSUSE gnome-settings-daemon-stop-reload-proxy-settings.patch bnc689592#c1, bnc#538353 glin@suse.com -- Stop g-s-d poping up the authentication dialog for reloading the proxy settings
Patch17:        gnome-settings-daemon-stop-reload-proxy-settings.patch
BuildRequires:  fdupes
BuildRequires:  gnome-common
# Disabled because of the non-rebased patches
#BuildRequires:  gnome-patch-translation
BuildRequires:  intltool
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  cups-devel
BuildRequires:  pkgconfig(colord)
BuildRequires:  pkgconfig(dbus-glib-1) >= 0.7.4
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(gconf-2.0) >= 2.6.1
BuildRequires:  pkgconfig(glib-2.0) >= 2.29.14
%if 0%{?BUILD_FROM_VCS}
BuildRequires:  gnome-common
%endif
BuildRequires:  pkgconfig(gnome-desktop-3.0) >= 3.1.5
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(gtk+-3.0) >= 2.99.3
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(libcanberra-gtk3)
BuildRequires:  pkgconfig(libgnomekbd)
BuildRequires:  pkgconfig(libgnomekbdui)
BuildRequires:  pkgconfig(libnotify) >= 0.7.3
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libxklavier)
BuildRequires:  pkgconfig(nss)
BuildRequires:  pkgconfig(packagekit-glib2) >= 0.6.12
BuildRequires:  pkgconfig(polkit-gobject-1)
BuildRequires:  pkgconfig(upower-glib)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xi)
Requires:       gsettings-desktop-schemas
Recommends:     %{name}-lang
# For housekeeping plugin, that uses the nautilus dbus service
Recommends:     nautilus
# Split so people can depend on this only if needed
Requires:       %{name}-polkit-datetime = %{version}
Obsoletes:      resapplet
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
gnome-settings-daemon provides a daemon run by all GNOME sessions to
provide live access to configuration settings and the changes done to
them as well as basic services like a clipboard manager, controlling
the startup of the screensaver, etc.

This module was previously part of GNOME Control Center, but has been
splitted from it for a more general use.

%package polkit-datetime
License:        GPLv2+
Summary:        PolicyKit helper to set the system date and time
Group:          System/GUI/GNOME
Requires:       timezone

%description polkit-datetime
This package contains a PolicyKit helper to set the system date and
time.

%package devel
License:        GPLv2+
Summary:        Development package for the GNOME settings daemon
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}

%description devel
gnome-settings-daemon provides a daemon run by all GNOME sessions to
provide live access to configuration settings and the changes done to
them as well as basic services like a clipboard manager, controlling
the startup of the screensaver, etc.

This package includes header files used for client applications to
contact the settings daemon via its DBus interface.

%lang_package
%prep
%setup -q
translation-update-upstream
%if !0%{?BUILD_FROM_VCS}
# Disabled because of the non-rebased patches
#gnome-patch-translation-prepare
%patch2 -p0
#%patch8 -p0
%patch10 -p0
# PATCH-NEEDS-REBASE
#%patch11 -p1
# PATCH-NEEDS-REBASE
#%patch13 -p0
# PATCH-NEEDS-REBASE
#%patch14 -p0
# PATCH-NEEDS-REBASE
#%patch15 -p0
%patch16 -p1
%patch17 -p1
%endif

%if 0%{?BUILD_FROM_VCS}
NOCONFIGURE=1 /usr/bin/gnome-autogen.sh
%endif

%build
autoreconf -f -i
%configure\
        --libexecdir=%{_libexecdir}/gnome-settings-daemon-3.0 \
        --enable-gconf-bridge \
        --disable-static \
        --with-pnpids=%{_datadir}/libgnome-desktop-3.0/pnp.ids
make %{?jobs:-j%jobs} V=1

%install
%makeinstall
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
%suse_update_desktop_file gnome-fallback-mount-helper
%suse_update_desktop_file gnome-settings-daemon
%find_lang %{name} %{?no_lang_C}
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%post
%glib2_gsettings_schema_post
%icon_theme_cache_post

%postun
%glib2_gsettings_schema_postun
%icon_theme_cache_postun


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS
%{_datadir}/dbus-1/interfaces/org.gnome.SettingsDaemonUpdates.xml
%{_datadir}/dbus-1/services/org.gnome.SettingsDaemon.service
%{_datadir}/gnome-settings-daemon/
%{_datadir}/gnome-settings-daemon-3.0/
%dir %{_libexecdir}/gnome-settings-daemon-3.0
%{_libexecdir}/gnome-settings-daemon-3.0/gnome-fallback-mount-helper
%{_libexecdir}/gnome-settings-daemon-3.0/gnome-settings-daemon
%{_libexecdir}/gnome-settings-daemon-3.0/gsd-backlight-helper
%{_libexecdir}/gnome-settings-daemon-3.0/gsd-locate-pointer
%{_libexecdir}/gnome-settings-daemon-3.0/gsd-printer
%{_libexecdir}/gnome-settings-daemon-3.0/novell-sysconfig-proxy-helper
%if "%{_libdir}" != "%{_libexecdir}"
%dir %{_libdir}/gnome-settings-daemon-3.0/
%endif
%{_libdir}/gnome-settings-daemon-3.0/*.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/*.so
%{_sysconfdir}/xdg/autostart/*.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.peripherals.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.peripherals.wacom.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.color.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.housekeeping.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.keyboard.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.media-keys.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.orientation.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.power.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.print-notifications.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.proxy.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.updates.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.xrandr.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.xsettings.gschema.xml
%{_datadir}/icons/*/*/*
%{_datadir}/polkit-1/actions/org.gnome.settings-daemon.plugins.power.policy
%{_mandir}/man1/gnome-settings-daemon.1*
# Own the directory since we can't depend on gconf providing them
%dir %{_datadir}/GConf
%dir %{_datadir}/GConf/gsettings
%{_datadir}/GConf/gsettings/gnome-settings-daemon.convert
%{_mandir}/man1/*

%files polkit-datetime
%defattr(-,root,root)
%{_libexecdir}/gnome-settings-daemon-3.0/gsd-datetime-mechanism
%{_datadir}/dbus-1/system-services/org.gnome.SettingsDaemon.DateTimeMechanism.service
%{_datadir}/polkit-1/actions/org.gnome.settingsdaemon.datetimemechanism.policy
%{_sysconfdir}/dbus-1/system.d/org.gnome.SettingsDaemon.DateTimeMechanism.conf

%files lang -f %{name}.lang

%files devel
%defattr (-, root, root)
%{_includedir}/gnome-settings-daemon-3.0/
%{_libdir}/pkgconfig/gnome-settings-daemon.pc

%changelog
